#include<bits/stdc++.h>
using namespace std;
int main(){
    int x,y;
    cin>>x>>y;
    int nizx[10]={0};
    int nizy[10]={0};
    int i=9;
	int j=9;
    while(x>0){
        nizx[i]=x%10;
        x=x/10;
        i--;
    }
    while(y>0){
        nizy[j]=y%10;
        y=y/10;
        j--;
    }
    j++;
    i++;
    int s=0;//zbir
    int m=1;//za stepenovanje
    int k=9;
    while(k>=min(i,j)){
        if(k>=max(i,j)){
            if(nizx[k]==nizy[k] && nizx[k]!=0){
                 s+=11*nizx[k]*m;
                 m*=100;
            }
            if(nizx[k]==nizy[k] && nizx[k]==0) m*=10;
            if(nizx[k]>nizy[k]){
                s+=nizx[k]*m;
                m*=10;
            }
            if(nizy[k]>nizx[k]){
                s+=nizy[k]*m;
                m*=10;
            }
        } else {
            s+=(nizx[k]+nizy[k])*m;
            m=m*10;
        }
        k--;
    }
    cout<<s<<endl;
    return 0;
}